# GimpUi.PathEditor

    const GimpUi = imports.gi.GimpUi;

    let pathEditor = new GimpUi.PathEditor();

This widget is used to edit file search paths.

It shows a list of all directories which are in the search path. You can click a directory to select it. The widget provides a GimpUi.FileEntry to change the currently selected directory.

There are buttons to add or delete directories as well as "up" and "down" buttons to change the order in which the directories will be searched.

Whenever the user adds, deletes, changes or reorders a directory of the search path, the "path_changed" signal will be emitted.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.PathEditor

## Constructors

- GimpUi.PathEditor.new

## Methods

- GimpUi.PathEditor.prototype.get_dir_writable
- GimpUi.PathEditor.prototype.get_path
- GimpUi.PathEditor.prototype.get_writable_path
- GimpUi.PathEditor.prototype.set_dir_writable
- GimpUi.PathEditor.prototype.set_path
- GimpUi.PathEditor.prototype.set_writable_path

## Signals

- path-changed
- writable-changed